clear 
R=8;zl=6j;zc=4*1/j;
I=8*exp(j*pi/3);
Ur=I*R
Ul=I*zl
Uc=I*zc
U=I*(R+zl+zc)                         %求各电压
subplot(2,2,1);
compass([Ur,Ul,Uc,U],'b')           %绘制电压向量的罗盘图
title('罗盘图')
subplot(2,2,2);
feather([Ur,Ul,Uc,U],'r')            %绘制电压向量的羽毛图
title('羽毛图')
subplot(2,1,2);
quiver([0,1,2,3],0,[real(Ur),real(Ul),real(Uc),real(U)],..., %绘制向量场图
[imag(Ur),imag(Ul),imag(Uc),imag(U)],'b')
title('向量场图')












